summaryrefslogtreecommitdiffstats
path: root/.config/zsh
diff options
context:
space:
mode:
Diffstat (limited to '.config/zsh')
-rw-r--r--.config/zsh/alias.zsh23
1 files changed, 23 insertions, 0 deletions
diff --git a/.config/zsh/alias.zsh b/.config/zsh/alias.zsh
index a180727..4998eca 100644
--- a/.config/zsh/alias.zsh
+++ b/.config/zsh/alias.zsh
@@ -65,6 +65,29 @@ alias \
bssh() {
user='rbousset'
host='bastion'
+ if [ -z "$1" ]; then
+ ssh $user@$host -- --osh
+ return
+ fi
+ if [ "$1" != "--osh" ]; then
+ tmp="$1"
+ shift 1
+ if ! grep -F '@' <<< "$tmp" >/dev/null 2>&1; then
+ ssh $user@$host -t -- root@"$tmp" $*
+ else
+ ssh $user@$host -t -- "$tmp" $*
+ fi
+ else
+ ssh $user@$host -t -- $*
+ fi
+}
+assh() {
+ user='admin'
+ host='bastion'
+ if [ -z "$1" ]; then
+ ssh $user@$host -- --osh
+ return
+ fi
if [ "$1" != "--osh" ]; then
tmp="$1"
shift 1